Nous avons mis à jour la version 3.10.0-714.10.2.lve1.5.19.3 du noyau CloudLinux 7 et CloudLinux 6 Hybrid sur tous nos serveurs.

Changelog:

  • CLKRN-323: une faille nommée SegmentSmack a été trouvée dans la manière dont le noyau Linux traitait les paquets TCP spécialement conçus. Un attaquant distant pourrait utiliser cette faille pour déclencher des appels de temps et de calcul coûteux aux fonctions tcp_collapse_ofo_queue() et tcp_prune_ofo_queue() en envoyant des paquets spécialement modifiés dans les sessions TCP en cours, pouvant entraîner une saturation du processeur. Le maintien de la condition de déni de service nécessite des sessions TCP bidirectionnelles continues vers un port ouvert accessible, de sorte que les attaques ne peuvent pas être effectuées à l'aide d'adresses IP usurpées;
  • CLKRN-320: correction du CVE-2017-18344.
    posix-timer: vérifie correctement sigevent->sigev_notify.
    L’implémentation timer_create syscall dans kernel / time / posix-timers.c dans le noyau Linux avant 4.14.8 ne valide pas correctement le champ sigevent-> sigev_notify, ce qui conduit à un accès hors limites dans la fonction show_timer (appelée quand/proc/$PID/timers est lu). Cela permet aux applications de l'espace utilisateur de lire de la mémoire de noyau arbitraire (sur un noyau construit avec CONFIG_POSIX_TIMERS et CONFIG_CHECKPOINT_RESTORE).

Pour installer un nouveau noyau, utilisez les commandes suivantes.

CloudLinux 7:

yum install kernel-3.10.0-714.10.2.lve1.5.19.3.el7 

CloudLinux 6:

 yum install kernel-3.10.0-714.10.2.lve1.5.19.3.el6h 


 lundi, septembre 3, 2018



« Retour